﻿/*
**  PrintOneFile.c
**
** 2021.8.31
*/

#include <stdio.h>
#include <windows.h>
#include <locale.h>
#include "Printer_c.h"

#pragma comment(lib,"PdfPrintAPI.lib")

int main()
{
    int iReturnValue = 0;

    setlocale(LC_CTYPE, "Japanese");

    // Initialize library
    PDFPrnInitialize();

    // ライセンスキー
    // 重要：以下の関数を利用するのは評価ライセンスまたはOEMライセンスの場合だけです。
    //  それ以外のライセンでは「License Manager」を使ってライセンスを有効化してください。
    if (!PDFPrnSetLicenseKey(_T("1-18A0G-XTH79-RCD4C-5E21H-F40A1-BCM1A-Q9REM")))
    {
        _tprintf(_T("不正なライセンスキー\n"));
        return 1;
    }

    // プリンターと入力ファイル
    TCHAR* szPrinterName = _T("Microsoft XPS Document Writer");
    TCHAR* szInputPath = _T("../../GraphicsNone.pdf");

    // インスタンス生成
    TPdfPrinter* pPrinter = PDFPrnCreateObject();

    //印刷
    PDFPrnPrintFile(pPrinter, szInputPath, szPrinterName, NULL, 1, -1);

    //後始末
    PDFPrnDestroyObject(pPrinter);
    PDFPrnUnInitialize();
}
